Bug 1564215 - dpdk: Change to python3
Summary: dpdk: Change to python3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dpdk
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2018-04-05 16:56 UTC by Charalampos Stratakis
Modified: 2019-03-19 14:26 UTC (History)
5 users (show)

Fixed In Version: dpdk-17.11.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 14:26:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Charalampos Stratakis 2018-04-05 16:56:43 UTC
Currently dpdk depends on python2 while the package is python3 compatible. Could it be changed to require python3 instead?

Currently the dpdk-examples and dpdk-tools subpackages drag usr/bin/python2 due to shebangs within python scripts pointing to python2 (those will need to be changed during %prep), the devel subpackage requires python2 and the tools subpackage requires python2-pyelftools as runtime dependencies.

Additionally there is a build time dependency on python2-sphinx (I replaced it with python3 and things built fine).

Comment 1 Neil Horman 2018-04-05 18:12:38 UTC
just tested dpdk-pmdinfo (the utility that runs with python2-pyelftools) and it works fine with the python3 library variants.

Comment 2 Charalampos Stratakis 2018-04-06 18:38:30 UTC
Thanks for the change!

It seems though that the sed [0] is not actually working and the shebangs keep pointing at python2. Also would it be possible to push those changes to F28 as well?

[0] https://src.fedoraproject.org/rpms/dpdk/c/52a69879eb300cf65b6664924045dcdadf4a09b0?branch=master

Comment 3 Neil Horman 2018-04-09 11:20:50 UTC
So, ideally, that shouldn't matter, as when the cutover happens to python3, /usr/bin/env python will start pointing there, but yes, we should fix the conversion now

Comment 4 Neil Horman 2018-04-09 14:07:08 UTC
Um, actually, I just built this locally, and it appears that all the python scripts that I see are appropriately converted, where are you seeing that that is not the case?

Comment 6 Neil Horman 2018-04-09 14:43:15 UTC
yeah, I can sync the changes, but note that the last update reved the epoch on dpdk to bring it into sync with requirements for OVS (which means a version downgrade).  I don't expect it will be a huge problem, but please keep it in mind

Comment 7 Fedora Update System 2018-04-10 17:04:00 UTC
dpdk-17.11.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b811d4c846

Comment 8 Fedora Update System 2018-04-11 22:57:33 UTC
dpdk-17.11.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b811d4c846

Comment 9 Jan Kurik 2018-08-14 11:23:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 10 Petr Viktorin 2019-03-19 14:26:35 UTC
This ids py3-only, at least on Rawhide.


Note You need to log in before you can comment on or make changes to this bug.